For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Request featuresContact support
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
  • Docs
    • Event types
    • Tariff
  • API Reference
        • GETGet all configured articles
        • POSTCreate a new article
        • DELRemove an article
        • PATCHUpdate an article
        • GETGet available products for order
        • GETGet list of orders
        • POSTSubmit order with scale priced products
        • POSTPre-calculate order total
        • GETGet a single order
        • DELCancel order
        • PATCHUpdate order fields
        • GETView the invoice of an order
        • GETList shipping providers for tracking orders
LogoLogo
Request featuresContact support
API ReferenceSim Order Management

List shipping providers for tracking orders

GET
https://cdn.emnify.net/api/v1/shop/shipping_provider
GET
/api/v1/shop/shipping_provider
$curl https://cdn.emnify.net/api/v1/shop/shipping_provider \
> -H "Authorization: Bearer <token>"
200List shipping providers
1[
2 {
3 "id": 1,
4 "name": "UPS",
5 "tracking_link_template": "https://www.ups.com/track?tracknum={{TRACKING_ID}}"
6 },
7 {
8 "id": 2,
9 "name": "FedEx",
10 "tracking_link_template": "https://www.fedex.com/fedextrack/?trknbr={{TRACKING_ID}}"
11 },
12 {
13 "id": 3,
14 "name": "DHL",
15 "tracking_link_template": "https://nolp.dhl.de/nextt-online-public/set_identcodes.do?lang=en&idc={{TRACKING_ID}}"
16 }
17]
List all shipping providers that can be used by parent organizations to provide detailed tracking information when marking an order as shipped.
Was this page helpful?
Previous

View the invoice of an order

Next

Get monthly order limits of a product

Built with

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the POST request to /api/v1/authenticate.

Response

OK
iddouble
namestring
tracking_link_templatestring